Error while installing Frappe-bench. in bench 3.0.0

I am getting this error while installing frappe.

When i give the command bench init frappe-bench

this is the log which i got

Already using interpreter /usr/bin/python
INFO:bench.app:getting app frappe
Cloning into ‘frappe’…
remote: Counting objects: 100363, done.
remote: Total 100363 (delta 0), reused 0 (delta 0), pack-reused 100363
Receiving objects: 100% (100363/100363), 73.25 MiB | 6.82 MiB/s, done.
Resolving deltas: 100% (73974/73974), done.
installing frappe
INFO:bench.app:installing frappe
Command “/home/erpnext/frappe-bench/env/bin/python -u -c “import setuptools, tokenize;file=’/tmp/pip-build-dAZA6w/cffi/setup.py’;exec(compile(getattr(tokenize, ‘open’, open)(file).read().replace(’\r\n’, ‘\n’), file, ‘exec’))” install --record /tmp/pip-fMHChB-record/install-record.txt --single-version-externally-managed --compile --install-headers /home/erpnext/frappe-bench/env/include/site/python2.7/cffi” failed with error code 1 in /tmp/pip-build-dAZA6w/cffi/
Traceback (most recent call last):
File “/usr/bin/bench”, line 9, in
load_entry_point(‘bench==3.0.0’, ‘console_scripts’, ‘bench’)()
File “/home/erpnext/bench-repo/bench/cli.py”, line 40, in cli
bench_command()
File “/usr/lib/python2.7/site-packages/click/core.py”, line 716, in call
return self.main(*args, **kwargs)
File “/usr/lib/python2.7/site-packages/click/core.py”, line 696, in main
rv = self.invoke(ctx)
File “/usr/lib/python2.7/site-packages/click/core.py”, line 1060, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/usr/lib/python2.7/site-packages/click/core.py”, line 889, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/usr/lib/python2.7/site-packages/click/core.py”, line 534, in invoke
return callback(*args, **kwargs)
File “/home/erpnext/bench-repo/bench/commands/make.py”, line 17, in init
no_auto_update=no_auto_update, frappe_path=frappe_path, frappe_branch=frappe_branch, verbose=verbose)
File “/home/erpnext/bench-repo/bench/utils.py”, line 63, in init
get_app(‘frappe’, frappe_path, branch=frappe_branch, bench=path, build_asset_files=False, verbose=verbose)
File “/home/erpnext/bench-repo/bench/app.py”, line 57, in get_app
install_app(app, bench=bench, verbose=verbose)
File “/home/erpnext/bench-repo/bench/app.py”, line 84, in install_app
find_links=find_links))
File “/home/erpnext/bench-repo/bench/utils.py”, line 100, in exec_cmd
raise CommandFailedError(cmd)
bench.utils.CommandFailedError: frappe-bench/env/bin/pip install -q -e frappe-bench/apps/frappe

where did i went wrong. pls help

regards

Same error here after the last update! I’m on developer branch, and already tried everything discussed here: [Important] Error in Bench Update?

am waiting for a reply

@ninjas
There is a package missing, you must install before:

sudo apt-get install libffi-dev

Then you can run bench update as expected.

Thanks it worked for me. :slight_smile: